Subject: Re: bug#4393: 23.1; doc string of accessible-keymaps

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Sep 2009 22:06:24 -0400

> (accessible-keymaps (current-global-map))
[...]
> Search for [f2] in the result sexp. You'll find this:
> ([f2] . t). That's one of the entries in the alist returned by
> `accessible-keymaps'.
> There are two other entries with cdr = t: ([24 11] . t) and
> ([24 54] . t). All the other entries have a keymap as cdr.
 
It turns out that these are prefixes bound to autoloaded keymaps that
haven't yet been loaded (and they also happen to be the same keymap).
`accessible-keymaps' does not autoload keymaps.  I guess it should
return ([f2] . 2C-command) and  ([24 54] . 2C-command).

        Stefan